> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Sub-settlement Account



## OpenAPI

````yaml put /api/v1/split-payment
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/split-payment:
    put:
      tags:
        - Split Payment
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSplitPaymentRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdateSplitPaymentRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdateSplitPaymentRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateSplitAPIResponse'
components:
  schemas:
    UpdateSplitPaymentRequest:
      type: object
      required:
        - split_reference_code
        - bank_code
        - account_number
        - split_type
        - split_value
      properties:
        split_reference_code:
          type: string
          example: 31VENDOR_PAYMENTSPLIT0000130004498921
        bank_code:
          type: string
          example: '000013'
        account_number:
          type: string
          example: '0004498921'
        split_type:
          type: string
          enum:
            - flat
            - percent
          example: flat
        split_value:
          type: number
          example: 500
    UpdateSplitAPIResponse:
      type: object
      required:
        - status
        - message
        - data
      properties:
        status:
          type: boolean
          example: true
        message:
          type: string
          example: Split Settings updated successfully
        data:
          $ref: '#/components/schemas/SplitPaymentObject'
      additionalProperties: false
    SplitPaymentObject:
      type: object
      properties:
        split_type:
          type: string
          enum:
            - flat
            - percent
        split_payment_reference:
          type: string
        processing_message:
          type: string
        split_name:
          type: string
        bank_code:
          type: string
        account_number:
          type: string
        split_value:
          type: number
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your API key (e.g. your public key) as a Bearer token to access
        this API.
      name: Authorization
      in: header

````